주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

쿼리 매개 변수

api-version string 필수

The API version to use for this operation.

헤더 매개 변수

Foundry-Features enum 필수

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

경로 매개 변수

name string 필수

Name of the model.

version string 필수

Version of the model.

요청 본문

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum 필수

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

응답

The request has succeeded.

본문

Content-Type: application/json
blobReference BlobReference 필수

Blob reference details.

blobUri string 필수

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string 필수

ARM ID of the storage account to use.

credential SasCredential 필수

SAS Credential definition

sasUri string 필수

SAS uri

type enum 필수

Type of credential

SAS
pendingUploadId string 필수

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum 필수

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

헤더

x-ms-error-code string

String error code indicating what went wrong.

본문

Content-Type: application/json
error Azure.Core.Foundations.Error 필수

The error object.

code string 필수

One of a server-defined set of error codes.

message string 필수

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

헤더

x-ms-error-code string

String error code indicating what went wrong.

본문

Content-Type: application/json
error Azure.Core.Foundations.Error 필수

The error object.

code string 필수

One of a server-defined set of error codes.

message string 필수

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

요청

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

응답

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026